Bug 111411 - SPIR-V shader leads to GPU hang, sometimes making machine unstable
Summary: SPIR-V shader leads to GPU hang, sometimes making machine unstable
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/intel (show other bugs)
Version: git
Hardware: Other All
: medium major
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-16 16:29 UTC by Alastair Donaldson
Modified: 2019-08-21 11:04 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Amber test exposing the problem (34.90 KB, text/plain)
2019-08-16 16:29 UTC, Alastair Donaldson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alastair Donaldson 2019-08-16 16:29:07 UTC
Created attachment 145077 [details]
Amber test exposing the problem

Running the attached test using Amber (https://github.com/google/amber):

amber write-red-after-search.amber

should lead to the test passing.

Instead, I get a DEVICE_LOST error, and sometimes this leads to my machine locking up or rebooting.

Build: Mesa 19.2.0-devel (git-861c2b8d31) (Debug)
Device: Intel(R) HD Graphics 630 (Kaby Lake GT2)
Comment 1 Danylo 2019-08-19 15:34:05 UTC
Thanks, I've sent a MR https://gitlab.freedesktop.org/mesa/mesa/merge_requests/1710
Comment 2 Denis 2019-08-19 15:52:30 UTC
hi, I tested patch from Danylo. It works with this amber test

[den@den-pc Debug]$ ./amber '/home/den/Downloads/write-red-after-search.amber' 

Summary: 1 pass, 0 fail
Comment 3 Timothy Arceri 2019-08-21 11:04:43 UTC
Should be fixed by:

commit	84b3ef6a96eabc28b18e8cdf1b0d61826b1a8a67
nir/loop_unroll: Prepare loop for unrolling in wrapper_unroll

   Without loop_prepare_for_unroll loops are losing phis.

   Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=111411
   Fixes: 5db98195 "nir: add loop unroll support for wrapper loops"
   Signed-off-by: Danylo Piliaiev <danylo.piliaiev@globallogic.com>
   Reviewed-by: Timothy Arceri <tarceri@itsqueeze.com>


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.